## org.eclipse.emf.importer.java
Class JavaImporter

    java.lang.Object
      org.eclipse.emf.converter.ModelConverter
          org.eclipse.emf.importer.ModelImporter
              org.eclipse.emf.importer.java.JavaImporter

    public class JavaImporter

extends ModelImporter

Since:
  2.1.0

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.importer.ModelImporter
`ModelImporter.EPackageImportInfo`

Nested classes/interfaces inherited from class org.eclipse.emf.converter.ModelConverter
`ModelConverter.EPackageConvertInfo, ModelConverter.ReferencedEPackageFilter, ModelConverter.ReferencedGenPackageConvertInfo`

Field Summary

Fields inherited from class org.eclipse.emf.importer.ModelImporter
`fileExtensions, GENANNOTATION_SOURCE_PREFIX, genModelContainerPath, genModelFileName, genModelPath, genModelProjectLocation, modelLocation, modelLocationURIs, modelPluginDirectory, modelPluginID, originalGenModel, originalGenModelPath, projectName, usePlatformURI, workspaceRoot`

Fields inherited from class org.eclipse.emf.converter.ModelConverter
`ePackages, ePackageToInfoMap, externalGenModelList, externalGenModelResourceSet, genModel, referencedEPackageFilter, referencedEPackageFilterToConvert, referencedGenPackages, referencedGenPackageToInfoMap`

Constructor Summary
`JavaImporter()`

Method Summary
`protected void` `adjustGenModel(Monitor monitor)`
`boolean` `canImport()`
`protected Diagnostic` `doComputeEPackages(Monitor monitor)`
`protected IFile` `getGenModelFile()`
`java.lang.String` `getID()`
`EPackage` `getReferredEPackage(GenPackage genPackage)`

Methods inherited from class org.eclipse.emf.importer.ModelImporter

`addGenModelToResource, addToResource, adjustEPackage, adjustEPackages, adjustGenPackageDuringTraverse, adjustUsedGenPackages, canConvert, checkEcoreModelFileName, checkGenModelFileName, computeDefaultGenModelFileName, computeEPackages, computeEPackagesBeingReloaded, computeGenModelContainerPath, computeModelProjectName, computeResourcesToBeSaved, createEPackageInfo, createExternalGenModelResourceSet, createFileURI, createProject, defineOriginalGenModelPath, dispose, getConverterGenAnnotationSource, getEcoreSaveOptions, getEPackageImportInfo, getFileExtensions, getFirstModelLocationURI, getGenModel, getGenModelContainerPath, getGenModelDefaultFolderPath, getGenModelFileName, getGenModelPath, getGenModelProjectLocation, getGenModelResourceSet, getGenPackage, getModelLocation, getModelLocationURIs, getModelPluginDirectory, getModelPluginID, getModelProjectName, getOriginalGenModel, getOriginalGenModelPath, getWorkspaceRoot, handleOriginalGenModel, loadOriginalGenModel, makeAbsolute, makeRelative, prepareGenModelAndEPackages, presetEPackagesToGenerate, saveGenModelAndEPackages, setGenModelContainerPath, setGenModelFileName, setGenModelProjectLocation, setModelFile, setModelLocation, setModelPluginDirectory, setModelPluginID, setModelProjectName, setUsePlatformURI, traverseGenPackages, usePlatformURI`

Methods inherited from class org.eclipse.emf.converter.ModelConverter

`clearEPackageConvertInfoCache, clearEPackagesCollections, clearReferenceGenPackageConvertInfoCache, computeEPackagesToConvert, computeValidReferencedGenPackages, createEPackagesList, createGenPackageConvertInfo, createReferencedEPackageFilter, createReferencedEPackageFilterToConvert, createReferencedGenPackagesList, createResourceSet, filterReferencedEPackages, filterReferencedEPackagesToConvert, getEPackageConvertInfo, getEPackages, getEPackageToInfoMap, getExternalGenModels, getGenmodelSaveOptions, getGenModelSaveOptions, getReferencedGenPackages, getReferencedGenPackageToInfoMap, getReferenceGenPackageConvertInfo, makeEPackageConvertDataUnique`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JavaImporter

    public JavaImporter()

Method Detail

### getID

    public java.lang.String getID()

  Specified by:
    `getID` in class `ModelConverter`

### canImport

    public boolean canImport()

### getGenModelFile

    protected IFile getGenModelFile()

### getReferredEPackage

    public EPackage getReferredEPackage(GenPackage genPackage)

  Overrides:
    `getReferredEPackage` in class `ModelConverter`

### doComputeEPackages

    protected Diagnostic doComputeEPackages(Monitor monitor)
                                     throws java.lang.Exception

  Overrides:
    `doComputeEPackages` in class `ModelImporter`
  Throws:
    `java.lang.Exception`

### adjustGenModel

    protected void adjustGenModel(Monitor monitor)

  Overrides:
    `adjustGenModel` in class `ModelImporter`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.